CVE-2019-9793

Priority
Description
A mechanism was discovered that removes some bounds checking for string,
array, or typed array accesses if Spectre mitigations have been disabled.
This vulnerability could allow an attacker to create an arbitrary value in
compiled JavaScript, for which the range analysis will infer a fully
controlled, incorrect range in circumstances where users have explicitly
disabled Spectre mitigations. *Note: Spectre mitigations are currently
enabled for all users by default settings.*. This vulnerability affects
Thunderbird < 60.6, Firefox ESR < 60.6, and Firefox < 66.
Assigned-to
chrisccoulson
Notes
tyhicksmozjs contains a copy of the SpiderMonkey JavaScript engine
Package
Upstream:released (66.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was released [66.0.1+build1-0ubuntu0.14.04.1])
Ubuntu 16.04 LTS (Xenial Xerus):released (66.0+build3-0ubuntu0.16.04.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (66.0+build3-0ubuntu0.18.04.1)
Ubuntu 20.04 LTS (Focal Fossa):released (66.0+build3-0ubuntu1)
Ubuntu 20.10 (Groovy Gorilla):released (66.0+build3-0ubuntu1)
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):needs-triage
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):needs-triage
Ubuntu 20.04 LTS (Focal Fossa):needs-triage
Ubuntu 20.10 (Groovy Gorilla):needs-triage
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
Package
Priority: Low
Upstream:released (60.6)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was released [1:60.6.1+build2-0ubuntu0.14.04.1])
Ubuntu 16.04 LTS (Xenial Xerus):released (1:60.6.1+build2-0ubuntu0.16.04.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:60.6.1+build2-0ubuntu0.18.04.1)
Ubuntu 20.04 LTS (Focal Fossa):released (60.6.1+build2-0ubuntu1)
Ubuntu 20.10 (Groovy Gorilla):released (60.6.1+build2-0ubuntu1)
More Information

Updated: 2020-07-28 18:59:28 UTC (commit 7b6828437fde0509248708fcdb5b0f7587b85bd1)